using System;
using System.Collections.Generic;
using System.Text;

namespace Halo3Map.BLF
{
    public class mapInfo : blf
    {

        #region Layout

        public string mapName;
        public string mapDescription;
        public string mapAltName;

        #endregion

        public mapInfo(string FilePath)
            : base(FilePath)
        {
        }

        public override void Read()
        {
            //Read the base header
            base.Read();

            InputStream.In.ReadInt32();//unkown
            mapName = InputStream.In.ReadUnicodeString(31);

            InputStream.In.SeekTo(704/*, System.IO.SeekOrigin.Current*/);//skip the other names and info
            mapDescription = InputStream.In.ReadUnicodeString(127);

            InputStream.In.SeekTo(2816/*, System.IO.SeekOrigin.Current*/);//skip the other descriptions and info
            mapAltName = new string(InputStream.In.ReadChars(256));
        }

    }
}
